Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
World of Warcraft

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: gnome-commander-devel  (Přečteno 2227 krát)

Bummer

  • Návštěvník
  • *
  • Příspěvků: 22
  • Karma: +3/-4
    • Zobrazit profil
gnome-commander-devel
« kdy: 23 Prosinec 2007, 15:10:43 »
Zdravím.
Používám Gnome Commander, ale "stabilní" verze 1.2.4 už je hodně stará a má dost chyb. Přitom vývoj pořád pokračuje.
Stáhnul jsem si zdroje testovací verze 1.3.5, ale nějak mi nejdou zkompilovat. ./configure vyhodí:
Kód: [Vybrat]
./configure: line 1740: syntax error near unexpected token `gnome-commander,'
./configure: line 1740: `AM_INIT_AUTOMAKE(gnome-commander, 1.3.5)'
Jsem začátečník a tak nevím, jestli tomu vadí malá vlhkost vzduchu u mě doma, jsou skvrny na slunci a nebo mi prostě chybí nějaké knihovny. :P
Nevíte někdo, co s tím?

Marvn

  • Stálý člen
  • ***
  • Příspěvků: 627
  • Karma: +51/-13
  • Take it easy :)
    • Zobrazit profil
Re: gnome-commander-devel
« Odpověď #1 kdy: 23 Prosinec 2007, 16:58:34 »
pro gnome commander jsou potreba tyto knihovny:
    * GTK+2 (2.6.0) or above for latest version.
    * GnomeVFS (2.0) Used for most of the file handling.
    * Glib (2.0.0)
    * Gnome (2.0)
    * GnomeUI (2.0)
--- je to napsane na jejich strankach...pokud kompilujes, je dobre si vzdy precist ty poznamky co k tomu pisou ;)
Arch Linux x64 (KDE) | KISS  :-*
"Ignorance isn't stupidity, but choosing to remain ignorant is."

jiri-j

  • Člen
  • **
  • Příspěvků: 489
  • Karma: +18/-1
  • skill: Lama
    • Zobrazit profil
Re: gnome-commander-devel
« Odpověď #2 kdy: 23 Prosinec 2007, 17:20:11 »
Ke kompilaci potřebuješ *-dev balíčky knihoven, knihovny potřebné ke kompilaci gnome-commanderu nainstaluješ příkazem
Kód: [Vybrat]
sudo apt-get install build-dep gnome-commander
Acer Aspire 3023WLMi, Sempron 3000+, ATI Mobility Radeon X700, 512MB RAM, Archlinux

Bummer

  • Návštěvník
  • *
  • Příspěvků: 22
  • Karma: +3/-4
    • Zobrazit profil
Re: gnome-commander-devel
« Odpověď #3 kdy: 23 Prosinec 2007, 19:53:34 »
Aha tak v tom případě to knihovnami nebylo... :(

Martin - ViPEr*CZ*

  • Moderátor
  • Závislák
  • *****
  • Příspěvků: 3047
  • Karma: +145/-18
    • Zobrazit profil
    • http://vipersoftware.net
Re: gnome-commander-devel
« Odpověď #4 kdy: 24 Prosinec 2007, 21:53:08 »
Jiný věci Vám skompilovat jdou? Je nějaká špatná syntaxe podle toho co to vyhazuje. Takhle Vám přímo asi nikdo neporadí. Zkuste si přečíst readme pořádně. Popřípadě zkuste to stáhnout znova.
PS: takhle jsem jednou kompiloval něco s novějším kompilátorem (věc autor kompiloval starším) a některou syntaxi jsem musel přepisovat nebot to novější kompiler už nechtěl přes sebe pustit.
Open source is gold way... Mint 17.2, Debian 8.1 Jessie| Ubuntu Wiki (návody) | Google vyhledávač | Qt4 návody

qUAKER

  • Host
Re: gnome-commander-devel
« Odpověď #5 kdy: 24 Prosinec 2007, 21:54:40 »
tak mě napadá - máš nainstalovaný balík automake?

Bummer

  • Návštěvník
  • *
  • Příspěvků: 22
  • Karma: +3/-4
    • Zobrazit profil
Re: gnome-commander-devel
« Odpověď #6 kdy: 24 Prosinec 2007, 21:55:05 »
No je to asi zhruba tak, že dvě třetiny programů ano a zbytek ne.